> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a workflow

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/workflows/{workflow_id}

Returns a workflow by ID. Accessible to all users.

Reference: https://contentful.com/developers/docs/references/content-management-api/workflows/get-a-workflow

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `workflow_id` (string, required) — ID of the workflow in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "stepId": "someStepId",
  "sys": {
    "createdAt": "2025-11-17T05:43:29.000Z",
    "createdBy": {
      "sys": {
        "id": "99SummRPRBowauM8T5Ljb34",
        "linkType": "AppDefinition",
        "type": "Link"
      }
    },
    "entity": {
      "sys": {
        "id": "5KsDBWseXY6QegucYAoacS",
        "linkType": "Entry",
        "type": "Link"
      }
    },
    "environment": {
      "sys": {
        "id": "staging",
        "linkType": "Environment",
        "type": "Link"
      }
    },
    "id": "someWorkflowId",
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "Workflow",
    "updatedAt": "2025-11-17T05:43:29.000Z",
    "updatedBy": {
      "sys": {
        "id": "1xGZIRXr2WPnsLkKfREo0z",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 1,
    "workflowDefinition": {
      "sys": {
        "id": "pfjbpijbJJBNv6Jgj",
        "linkType": "WorkflowDefinition",
        "type": "Link"
      }
    }
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const workflow = await client.workflow.get({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  workflowId: '<workflow_id>',
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```